#pragma once

#include "Daram.h"
#include "Bullet.h"

#define BULLET_COUNT 100

#define UP 1
#define DOWN 2
#define LEFT 3
#define RIGHT 4

class BulletManager :
	public GameObject
{
public:
	BulletManager(MainState *state);
	~BulletManager(void);

	void Update(float dt);
	void Draw(float dt);

	bool Intersects(Daram *daram);

private:
	Bullet *m_bullets[BULLET_COUNT];
};
